REM BUILD A SimpleEmailClient KIT

@ECHO Building SimpleEmailClient Self-Installing Kit

MKDIR Kit
DEL ..\SimpleEmailClientKit.zip
@REM DEL ..\SimpleEmailClientKit.exe
DEL /Q Kit\*.*

COPY Empty.zip ..\SimpleEmailClientKit.zip
IF ERRORLEVEL 1 GOTO ERROROCCURED
ATTRIB -R ..\SimpleEmailClientKit.zip
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY ReleaseMinSize\SimpleEmailClient.dll Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY Readme.txt Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY Readme.htm Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY *.jpg Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY *.gif Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY *.html Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY TestSimpleEmailClient\TestSimpleEmailClient.htm Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED
COPY TestSimpleEmailClient\Release\TestSimpleEmailClient.exe Kit\
IF ERRORLEVEL 1 GOTO ERROROCCURED

@ECHO Browse to Path E:\Emmanuel\DVP\Tools\SimpleEmailClient\Kit
@ECHO Add all files in archive (.zip)
@ECHO When converting to self-extracting archive (.exe), specify the following options:
@ECHO Default extraction folder:
@ECHO      "C:\Program Files\SimpleEmailClient"
@ECHO Execute following command after extraction: 
@ECHO      "regsvr32.exe|><SimpleEmailClient.dll"

CD Kit
"D:\Program Files\ZipCentral\ZCENTRAL.EXE" ..\..\SimpleEmailClientKit.zip
IF ERRORLEVEL 1 GOTO ERROROCCURED
CD ..

REM Cleanup the kit directory
DEL /Q Kit\*.*

:END
EXIT 0

:ERROROCCURED
EXIT 1
